Bug 479506 - Use OpenLibrary as a source for comics
Summary: Use OpenLibrary as a source for comics
Status: RESOLVED FIXED
Alias: None
Product: tellico
Classification: Applications
Component: general (show other bugs)
Version: 3.5.3
Platform: Arch Linux Linux
: NOR wishlist
Target Milestone: ---
Assignee: Robby Stephenson
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2024-01-07 15:22 UTC by balseiro
Modified: 2024-01-16 13:19 UTC (History)
0 users

See Also:
Latest Commit:
Version Fixed In: 3.5.4


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description balseiro 2024-01-07 15:22:45 UTC
The provided databases for comics doesn't work well for japanese editions, Open Library (and other book databases like BookBrainz) seems more complete for japanese releases.
Comment 1 Robby Stephenson 2024-01-13 21:18:49 UTC
Is there a specific comic that I can use to check how well Tellico can import? I see lots of manga, graphic novels, etc.
Comment 2 balseiro 2024-01-13 21:55:28 UTC
i.e. 9784048690669  https://openlibrary.org/works/OL33076277W/Yotsuba_Volume_1
Comment 3 Robby Stephenson 2024-01-14 01:02:45 UTC
Git commit 30db2a01acab204ad9926d76d0b9a4c231d7f286 by Robby Stephenson.
Committed on 14/01/2024 at 02:00.
Pushed by rstephenson into branch '3.5'.

Update Open Library search to allow for comic book results
FIXED-IN: 3.5.4

M  +1    -0    ChangeLog
M  +42   -20   src/fetch/openlibraryfetcher.cpp
M  +5    -0    src/field.cpp
M  +1    -0    src/field.h
M  +16   -0    src/tests/openlibraryfetchertest.cpp
M  +1    -0    src/tests/openlibraryfetchertest.h

https://invent.kde.org/office/tellico/-/commit/30db2a01acab204ad9926d76d0b9a4c231d7f286
Comment 4 Robby Stephenson 2024-01-16 13:19:08 UTC
Git commit bcc6fb37db918a45ec103a666fd42436370db8d6 by Robby Stephenson.
Committed on 16/01/2024 at 14:19.
Pushed by rstephenson into branch 'master'.

Update Open Library search to allow for comic book results
FIXED-IN: 3.5.4

M  +1    -0    ChangeLog
M  +42   -20   src/fetch/openlibraryfetcher.cpp
M  +5    -0    src/field.cpp
M  +1    -0    src/field.h
M  +16   -0    src/tests/openlibraryfetchertest.cpp
M  +1    -0    src/tests/openlibraryfetchertest.h

https://invent.kde.org/office/tellico/-/commit/bcc6fb37db918a45ec103a666fd42436370db8d6